const iframeWindow = document.getElementById('iframe').contentWindow;

/** @type {String} */
let origin = null;

// set state to connected when the opener tells us so.
window.onmessage = function (event) {
  if (event.source === iframeWindow) {
    window.opener.postMessage(event.data, origin, event.ports)
  } else if (event.source === window.opener && origin && event.origin === origin) {
    iframeWindow.postMessage(event.data, iframeWindow.location, []);
  }
}

const proxyUrl = new URL(window.location);
origin = proxyUrl.searchParams.get('origin');